using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class foot
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public foot()
       {
           Fields.AddRange(new MetaNode[] {
           new Reflexive("Effects", 24, new MetaNode[] { 
               new Reflexive("Old Materials (Do Not Use)", 24, new MetaNode[] { 
                   new TagReference("Effect"),
                   new TagReference("Sound"),
                   new StringID("Material Name"),
                   new HaloObjects.Enum("Sweetener Mode", new string[] { "Default", "Enabled", "Disabled" }, 32),
               }),
               new Reflexive("Sounds", 24, new MetaNode[] { 
                   new TagReference("Sound_1"),
                   new TagReference("Sound_2"),
                   new StringID("Material Name"),
                   new HaloObjects.Enum("Sweetener Mode", new string[] { "Default", "Enabled", "Disabled" }, 32),
               }),
               new Reflexive("Effects", 24, new MetaNode[] { 
                   new TagReference("Effect_1"),
                   new TagReference("Effect_2"),
                   new StringID("Material Name"),
                   new HaloObjects.Enum("Sweetener Mode", new string[] { "Default", "Enabled", "Disabled" }, 32),
               }),
           }),
           });
       }
    }
}
